Loading...
Searching...
No Matches
novas_eop Struct Reference

Earth Orienation Parameters (EOP), such as obtained from IERS. More...

`#include <novas.h>`

## Public Attributes

float | dut1
| [s] UT1 - UTC time difference.
float | dut1_err
| [s] Standard error on UT1 - UTC time difference.
double | jd
| [day] Julian day of the measurement or prognosis (in any time measure).
int | leap
| [s] Leap seconds, that is the TAI - UTC time difference.
float | lod
| [s] Length of day (LOD) differential.
float | lod_err
| [s] Standard error on Length of day (LOD).
enum novas_eop_series | series
| Origin of EOP data (if known).
float | xp
| [arcsec] xp: polar offset in ITRF x direction.
float | xp_err
| [arcsec] Standard error on xp.
float | yp
| [arcsec] yp: polar offset in ITRF y direction.
float | yp_err
| [arcsec] Standard error on yp.

## Detailed Description

Earth Orienation Parameters (EOP), such as obtained from IERS.

Since
  1.7

Author
  Attila Kovacs

## Member Data Documentation

## dut1

float novas_eop::dut1

[s] UT1 - UTC time difference.

Referenced by supernovas::GeodeticObserver::eop_at(), supernovas::EOP::fetch_for_jd(), and novas_set_split_time().

## dut1_err

float novas_eop::dut1_err

[s] Standard error on UT1 - UTC time difference.

## jd

double novas_eop::jd

[day] Julian day of the measurement or prognosis (in any time measure).

## leap

int novas_eop::leap

[s] Leap seconds, that is the TAI - UTC time difference.

Referenced by supernovas::GeodeticObserver::eop_at(), supernovas::EOP::fetch_for_jd(), and novas_set_split_time().

## lod

float novas_eop::lod

[s] Length of day (LOD) differential.

## lod_err

float novas_eop::lod_err

[s] Standard error on Length of day (LOD).

## series

enum novas_eop_series novas_eop::series

Origin of EOP data (if known).

## xp

float novas_eop::xp

[arcsec] xp: polar offset in ITRF x direction.

Referenced by supernovas::GeodeticObserver::eop_at(), supernovas::EOP::fetch_for_jd(), and novas_make_frame().

## xp_err

float novas_eop::xp_err

[arcsec] Standard error on xp.

## yp

float novas_eop::yp

[arcsec] yp: polar offset in ITRF y direction.

Referenced by supernovas::GeodeticObserver::eop_at(), supernovas::EOP::fetch_for_jd(), and novas_make_frame().

## yp_err

float novas_eop::yp_err

[arcsec] Standard error on yp.